## ros-rolling-aruco-opencv 4.1.1

=== debian/changelog ===
ros-rolling-aruco-opencv (4.1.1-1jammy) jammy; urgency=high

  * Fix create_marker and create_board script permissions (#22 <https://github.com/fictionlab/ros_aruco_opencv/issues/22>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 18 May 2023 00:00:00 -0000

ros-rolling-aruco-opencv (4.1.0-1jammy) jammy; urgency=high

  * Add python dependencies (#19 <https://github.com/fictionlab/ros_aruco_opencv/issues/19>)
  * Add board detection (ROS2) (#16 <https://github.com/fictionlab/ros_aruco_opencv/issues/16>)
    * Rename SingleMarkerTracker to ArucoTracker
    * Add BoardPose msg, change MarkerDetection to ArucoDetection
    * Change default marker dictionary
    * Add board descriptions
    * Add board pose estimation
    * Fix cpplint errors
  * Add scripts for generating markers and boards (#13 <https://github.com/fictionlab/ros_aruco_opencv/issues/13>)
  * Ignore duplicate image frames (#10 <https://github.com/fictionlab/ros_aruco_opencv/issues/10>)
  * Add ament_lint tests to cmakelists instead of github workflows (#7 <https://github.com/fictionlab/ros_aruco_opencv/issues/7>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-rolling-aruco-opencv (4.0.1-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 13 Dec 2022 00:00:00 -0000

ros-rolling-aruco-opencv (4.0.0-1jammy) jammy; urgency=high

  * Better camera calibration handling (#3 <https://github.com/fictionlab/ros_aruco_opencv/issues/3>)
    * Support different distortion models
    * Support rectified images
  * Use newer headers for cv_bridge
  * Use the custom QoS for image subscription
  * Fix autostart node activation
  * Use newer headers for tf2_geometry_msgs
  * Fix aruco library linking
  * Fix build for Humble
  * Remove image_transport parameter
  * Add marker_dict parameter
  * Unsubscribe from image topic on shutdown
  * Add single_marker_tracker_autostart node
  * Reformat code with uncrustify
  * Use cv::parallel_for_ in PnP pose computation
  * Refactor parameter declaration and retrieval, add utils.hpp
  * Initial LifecycleNode implementation
  * Update project dependencies
  * Add copyright notice
  * Install config directory
  * Port launch and config file to ROS2
  * Remove old dynamic reconfigure config
  * Declare the rest of the parameters
  * Initial port for ROS2 Foxy
  * Simplify filling the camera matrix from camera info
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Mon, 12 Dec 2022 00:00:00 -0000

ros-rolling-aruco-opencv (0.2.0-1jammy) jammy; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Fix build for Debian Buster
  * Publish transforms from output_frame to markers on tf2
  * Transform marker poses to specified output frame
  * Allow changing camera info without restarting the tracker
  * Add dynamically reconfigurable parameters for corner refinement
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-rolling-aruco-opencv (0.1.0-1jammy) jammy; urgency=high

  * Initial version of the package
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000
